#!/bin/bash
# add rootcert to ~/.kpi/nssdb/cert9.db

project_name="NetSignCNG"
install_cng_path="/opt/$project_name"

cd ${install_cng_path}/InstallRootCert/uosInstallCert/cert/

DIRS=`ls /home/ `

#遍历目录,导入根证
for temp in ${DIRS}
do
	if [ ! -d "/home/${temp}" ];then
                continue
        fi	

	${install_cng_path}/InstallRootCert/uosInstallCert/certutil --empty-password -d sql:/home/${temp}/.pki/nssdb -D -n "cert/""-""serverroot.pem" -i "serverroot.pem"
	if [ $? -eq 0 ];then
		echo "rm successful!"
	else
		echo "rm fail"
	fi

done

