#!/bin/bash

project_name="NetSignCNG"
install_cng_path="/opt/${project_name}"

if [ -z "$DISPLAY" ]
then

    echo "display is null..."
    export DISPLAY=:0
fi

if [ -z "$HOME" ]
then
        echo "HOME is null..." 
        export HOME=/root
fi

DIRS=`ls /home/ `

${install_cng_path}/isXavailable.sh


if [ -f "${HOME}/.xavailableinfosec" ]
then
        rm -f ${HOME}/.xavailableinfosec
fi

export LD_LIBRARY_PATH=${install_cng_path}/lib/qt5:${install_cng_path}/lib

ldd -r ${install_cng_path}/cngCertSelectAlert > /tmp/cngCertSelectAlert.log

cd ${install_cng_path}

${install_cng_path}/cngCertSelectAlert >> /tmp/cngCertSelectAlert.log 2>&1
