#!/bin/bash

project_name="NetSignCNG"
install_cng_path="/opt/${project_name}"


if [ -z "$DISPLAY" ]
then

    echo "display is null..."
    export DISPLAY=:0
fi

if [ -z "$HOME" ]
then
        echo "HOME is null..." 
        export HOME=/root
fi

DIRS=`ls /home/ `

#拷贝.Xauthority
for temp in ${DIRS}
do
        if [ -f "/home/${temp}/.profile" -o -f "/home/${temp}/.bashrc" ]
        then
                if [ -f "/home/${temp}/.Xauthority" ]
                then
                        echo "/home/${temp}/.Xauthority exist"

                        str1=$(md5sum "/home/${temp}/.Xauthority" | awk '{print $1}')

                        if [ -f "/root/.Xauthority" ]
                        then
                                str2=$(md5sum "/root/.Xauthority" | awk '{print $1}')
                                echo ${str1}
                                echo ${str2}

                                if [ "${str1}" != "${str2}" ]
                                then
                                        cp -f "/home/${temp}/.Xauthority" /root/

					ldd -r ${install_cng_path}/xcheck > /tmp/xcheck.log

					cd ${install_cng_path}
	
					${install_cng_path}/xcheck >> /tmp/xcheck.log 2>&1
										
					if [ -f "${HOME}/.xavailableinfosec" ]
					then
						break
					fi

                                else

					ldd -r ${install_cng_path}/xcheck > /tmp/xcheck.log

					cd ${install_cng_path}
	
					${install_cng_path}/xcheck >> /tmp/xcheck.log 2>&1
										
					if [ -f "${HOME}/.xavailableinfosec" ]
					then
						break
					fi
                                fi

                        else
                                cp -f "/home/${temp}/.Xauthority" /root/
                                
				ldd -r ${install_cng_path}/xcheck > /tmp/xcheck.log

				cd ${install_cng_path}

				${install_cng_path}/xcheck >> /tmp/xcheck.log 2>&1
								
				if [ -f "${HOME}/.xavailableinfosec" ]
				then
					break
				fi
                        fi

                fi
        fi
done


if [ ! -f "${HOME}/.xavailableinfosec" ]
then
	ldd -r ${install_cng_path}/xcheck > /tmp/xcheck.log
	cd ${install_cng_path}

	${install_cng_path}/xcheck >> /tmp/xcheck.log 2>&1
fi


